+++
title = "Keep it simple, stupid."
date = 2024-08-08
tags = ["homelab", "life", "productivity"]
+++

There's a moment to play, there's a moment to read, to rest, to listen to music... we need to choose how, when and how much of our time we spend on each area we like. As someone with multiples hobbies, it's very difficult to find balance between them.

These past few ~~days~~ ~~weeks~~ months, after writting a few blog posts about my k3s infra and having some headaches around stuff I kept thinking... is this worth it? I'm doing it to fiddle around with it and learn, and that's a good thing. The problem is there are a lot of other areas I want to learn from and I need to schedule my time accordingly.

Learn about k3s is an objective of mine? Yes.
Do I need k3s to deploy a few services for my friends and family? Probably not.

My docker single node setup has been working for years now without much issues and mostly automated with ansible. Now, I have a three node k3s cluster that yes, it's working, but requires a lot more time when I want to deploy a service (generating helm charts, testing the service, checking if it works natively in k8s, hoping the storage layer works properly, ...), investigating when something breaks and more. So I found myself thinking... is this the right choice for this objective?

The answer is clear: no. I don't need a k3s cluster for this. I need a simple, reliable and easy to maintain setup. So I'm going to move back to my docker single node setup, I have already setup some services using portainer with docker-compose, and it works like a charm. I'll keep the k3s cluster for testing and learning, but I won't use it for my production services for the time being.
